View Issue Details

IDProjectCategoryView StatusLast Update
12758Bug reports[All Projects] Installationpublic2017-10-12 18:48
ReportertammoAssigned Tomarkusfluer 
PrioritynoneSeverityblock 
Status resolvedResolutionfixed 
Product Version3.0.0-beta.x 
Target Version3.0Fixed in Version3.0.0-beta.x 
Summary12758: Cannot change template to anything other than default
DescriptionPHP notice

Trying to get property of non-object

D:\dev\lsgit\application\core\LSETwigViewRenderer.php(150)

138 public function renderTemplateForTemplateEditor($sView, $aDatas, $oEditedTemplate)
139 {
140 $oTemplate = $this->getTemplateForView($sView, $oEditedTemplate);
141 $line = file_get_contents($oTemplate->viewPath.$sView);
142 $result = $this->renderTemplateFromString( $line, $aDatas, $oEditedTemplate, true);
143 return $result;
144 }
145
146 public function renderTemplateFromFile($sView, $aDatas, $bReturn)
147 {
148 $oRTemplate = Template::model()->getInstance();
149 $oTemplate = $this->getTemplateForView($sView, $oRTemplate);
150 $line = file_get_contents($oTemplate->viewPath.$sView);
151 $result = $this->renderTemplateFromString( $line, $aDatas, $oRTemplate, $bReturn);
152
153 if ($bReturn){
154 Yii::app()->clientScript->registerPackage( $oRTemplate->sPackageName );
155 return $result;
156 }
157
158 return null;
159 }
160
161 public function renderOptionPage($oTemplate,$renderArray = array())
162 {
Steps To ReproduceChange to material template on attached survey.
Tagstemplate
Complete LimeSurvey version number (& build)3.0 git
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-VersionMySQL
Operating System (Server)W10
Webserver software & versionApache
PHP Version5.5.30

Activities

tammo

tammo

2017-10-10 14:51

developer  

limesurvey_survey_366446.lss (13,064 bytes)
tammo

tammo

2017-10-11 10:37

developer   ~44566

Also when I create a copy of a template: "171011minimal", the system first throws an error, after that chaning to the new template is impossible. Always falls back to default.
tammo

tammo

2017-10-11 10:37

developer   ~44567

Awaiting further developments.

Issue History

Date Modified Username Field Change
2017-10-10 14:51 tammo New Issue
2017-10-10 14:51 tammo Status new => assigned
2017-10-10 14:51 tammo Assigned To => markusfluer
2017-10-10 14:51 tammo File Added: limesurvey_survey_366446.lss
2017-10-11 10:37 tammo Note Added: 44566
2017-10-11 10:37 tammo Note Added: 44567
2017-10-11 10:38 tammo Tag Attached: template
2017-10-12 18:48 markusfluer Status assigned => resolved
2017-10-12 18:48 markusfluer Resolution open => fixed
2017-10-12 18:48 markusfluer Fixed in Version => 3.0.0-beta.x